Skip to main content
GET
List UDFs
Returns the latest version of each UDF in the organization.

Permission

The API key must have the control-plane:organization:view permission.

Авторизации

Authorization
string
header
обязательно

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Параметры пути

organizationId
string<uuid>
обязательно

ID of the requested organization.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Параметры запроса

cursor
string

Cursor returned as nextCursor on the previous page.

limit
integer
по умолчанию:100

Maximum number of records to return per page. Defaults to 100. Maximum is 100.

Требуемый диапазон: x <= 100

Ответ

Successful response.

result
object[]
обязательно

Latest version of each UDF in the organization.

limit
integer
обязательно

Maximum number of results returned in this page.

totalCount
integer | null
обязательно

Total number of results across all pages. It has only informative value, thus is not guaranteed and it is provided on a best-effort basis. Null if the total count is unknown.

nextCursor
string | null
обязательно

Cursor for the next page, to be sent as the cursor query parameter. Null on the last page.

status
integer
обязательно

HTTP status code.

Пример:

200

requestId
string<uuid>
обязательно

Unique id assigned to every request. UUIDv4

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
Последнее изменение 3 октября 2026 г.